Subject: Re: Making a serial multiplexer (new driver)

From: Luís Vitório Cargnini <[email-masked]>
Date: Tue, 04 Jan 2005 11:07:28 +0000

it can't be done in user space 
why?
Because the multiplexer has an proprietary pŕotocol 8-(
so i'll encapsulate the communication of 3 channels to communicate with
physical device and my user-level applications like pppd don't need to
know the mux protocol, this will be transparent for the user
applications.

On Mon, 2005-01-03 at 17:17 +0100, Geert Uytterhoeven wrote:
> On Mon, 3 Jan 2005, [ISO-8859-1] Luís Vitório Cargnini wrote:
> > Hi i need to write a driver that must multiplex an serial channel my
> > driver will have  3 interfaces and i must communicate with another
> > interface  (midleware) like /dev/ttyS2 for example, how could i write a
> > driver that will communicate with my existing uart ???
> > 
> > i have a component that could be multiplexed in 3 logical channels throw
> > my single physical channel that are accessed with a normal serial
> > interface using uart, how could this be possible ?
> > this is necessary to be transparent to software user level.
> 
> Do it in userspace using fifos?
> 
> Gr{oetje,eeting}s,
> 
> 						Geert
> 
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
> 							    -- Linus Torvalds
-- 
Luís Vitório Cargnini <[email-masked]>
Digitel S/A